(3)

NAME
boost::numeric::functional::outer_product<Left,_Right,_std_vector_tag,_std_vector_tag>

SYNOPSIS

// In header: <boost/accumulators/statistics/covariance.hpp>
template<typename Left, typename Right>
struct outer_product<Left, Right, std_vector_tag, std_vector_tag> {
  // types
  typedef ublas::matrix< typename functional::multiplies< typename Left::value_type, typename Right::value_type >::result_type > result_type;
  // public member functions
  result_type operator()(Left &, Right &) const;
};

DESCRIPTION

  outer_product public member functions

    1.

    result_type operator()(Left & left, Right & right) const;